// Ship Map Gui Handler.
// Worthless Bums 2013.


// Push the squadMapGui.
function pushSquadMapGui ()
{//echo("pushSquadMapGui()");
	initializeShipMapGui();
	Canvas.pushDialog(squadMapGui);
}
// Pop the squadMapGui.
function popSquadMapGui ()
{//echo("popSquadMapGui()");
	Canvas.popDialog(squadMapGui);
}

// Initialize the ship map GUI.
function initializeShipMapGui ()
{//echo("initializeShipMapGui()");
	// Create the close button.
	/*new GuiButtonCtrl(closeShipMapButton)
	{
		canSaveDynamicFields = "0";
		isContainer = "0";
		Profile = "SquadCreationAcceptButtonProfile";
		HorizSizing = "center";
		VertSizing = "relative";
		Position = "355 550";
		Extent = "96 24";
		MinExtent = "8 2";
		canSave = "1";
		Visible = "1";
		Command = "popSquadMapGui();";
		hovertime = "0";
		text = "Close";
		groupNum = "-1";
		buttonType = "PushButton";
		useMouseEvents = "0";
	};
	// Add the button to squadMapGui's squadMapBackground.
	squadMapBackground.add(closeShipMapButton);*/
}